export default {
    /**
     * @author wk
     * 动态表单控件隐藏公式
     * @param
     * 参数一 组件标识
     * 参数二 如果是容器组件切该容器有多个分区 该参数是组件名称.区域名称 例如 卡片容器 分为三个区域 title extra body 
     * 非容器组件直接写type e: buttonControl
     * 则该参数是  CardContainer.title CardContainer.extra CardContainer.body  如果不是容器或者是单一普通容器 与参数一相同
     * 参数三 状态 0 表示隐藏 1表示显示
     */
    execute:function(){
        let _name = arguments[0][0].StaticValue;
        let _control = arguments[0][1].StaticValue;
        let _status = arguments[0][2].StaticValue;
        if(arguments[1]){
            if(_control.indexOf('CardContainer.') > -1){
                _name = this.getCardContainerName(_name,_control);
            }
            arguments[1].changeControlStatus(_name,_status);
        }
    },
    getCardContainerName(name,str){
        return name + '.cardContainer.slots.' + str.split('.')[str.split('.').length -1];
    },
    getResultType:function(){
        return FMR.ConstDataTypes.Bool;
    }
}